D4Science Infrastructure - Task #12173

Suspend all the letsencrypt certificates renewals for 15 days
Jul 16, 2018 07:00 PM - Andrea Dell'Amico

Status: Closed Start date: Jul 16, 2018
Priority: Normal Due date:
Assignee: _InfraScience Systems Engineer % Done: 100%
Category: System Application Estimated time: 0.00 hour
Target version: UnSprintable
Infrastructure: Development, Pre-Production,

Production
Description

Let's suspend all the certificates renewals for 15 days, so that we can have a window where we can ask for new certificates again.

Related issues:
Blocks D4Science Infrastructure - Task #11831: Explore new letsencrypt client... Closed May 23,2018 Jun 30, 2018

History

#1 - Jul 16, 2018 07:02 PM - Andrea Dell'Amico
- Blocks Task #11831: Explore new letsencrypt clients to add wildcard certificates support added

#2 - Jul 16, 2018 07:15 PM - Andrea Dell'Amico

Better yet, change the cron job to run only in the first 10/15 days of the month so that we will always have a free window (and we will always have an
embargoed one).

#3 - Jul 17,2018 05:23 PM - Andrea Dell'Amico
- Status changed from New to In Progress

- % Done changed from 0 to 20

The cron job has been modified, so that we can specify the days of month (I set 1-15 for our servers) while the hour and minute is a random value
betwee 1:00 and 4:59.

#4 - Jul 17,2018 07:32 PM - Andrea Dell'Amico
- % Done changed from 20 to 90

Reconfigured all the servers but the ones still unreachable at garr-ct1.

#5 - Jul 18, 2018 03:15 PM - Andrea Dell'Amico
- Status changed from In Progress to Closed

- % Done changed from 90 to 100

All the hosts on the d4science.org domain have been reconfigured. The situation can be monitored here: https://crt.sh/?q=%.d4science.org (there's a
delay of 24/48 hours).
